package com.liquidnet.service.merchant.dto.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@ApiModel(value = "MerchantStationCheckRefreshVo", description = "下载刷新验票信息响应参数")
@Data
public class MerchantStationCheckRefreshVo implements Serializable, Cloneable {
    private static final long serialVersionUID = -6108305147829613655L;
    private MerchantStationPerformanceVo performanceVo;
    private List<MerchantStationCheckOrderVo> checkOrderVos;

    private static final MerchantStationCheckRefreshVo obj = new MerchantStationCheckRefreshVo();

    public static MerchantStationCheckRefreshVo getNew() {
        try {
            return (MerchantStationCheckRefreshVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new MerchantStationCheckRefreshVo();
        }
    }
}
